---
title: Ambient Light Sensor API
slug: Web/API/Ambient_Light_Sensor_API
tags:
  - API
  - Ambient Light Sensor API
  - AmbientLightSensor
  - Junk
  - Landing
  - Overview
  - Reference
---
<div>
<p>The Ambient Light Sensor API provides an interface to monitor the ambient light level or illuminance of the device’s environment.</p>
</div>

<h2 id="Interfaces">Interfaces</h2>

<dl>
 <dt>{{domxref("AmbientLightSensor")}}</dt>
 <dd>Returns an interface for accessing <code>AmbientLightSensorReadings</code>.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('AmbientLight')}}</td>
   <td>{{Spec2('AmbientLight')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>
